<div class="header-notification-message" style="margin-left: 10px; margin-top: 5px;">
  <a [routerLink]="[]" style="font-size: 20px;">
    <div class="label-icon">
      <i class="pcoded-micon fa fa-envelope" style="color: #404E67 !important"></i>
      <label 
        *ngIf="jumlahMessage > 0"
        class="badge badge-danger badge-top-right" 
        style="font-size: 12px; margin-left: -10px;">
        {{ jumlahMessage }}
      </label>
    </div>
  </a>
  <ul class="show-notification-message container text-left">
    <div class="row">
      <div class="col-md-12" style="padding: 20px 20px 10px 20px;">
        <h6>Pesan</h6>
      </div>
      <ng-container *ngFor="let row of dataMessage; let i = index;">
        <div 
          class="col-md-12 content-notification-message-{{row.is_read === false ? 'new' : 'read'}}" 
          style="padding: 15px 20px; border-top: 1px solid #3498db;">
          <a [routerLink]="['/message/detail', row.id]" style="color: #000">
            <div *ngIf="row.type === 'broadcast'">
              <h6><b>{{ row.judul }}</b></h6>
              <p style="margin-bottom: 0px;">
                Pesan dari <b>{{ row.pengirim.nama }}</b>.
              </p>
            </div>
            <span style="font-size: 10px;">
              {{ convert.formatDateIndoTglJam(row.created_at) }}
            </span>
          </a>
        </div>
      </ng-container>
      <div class="col-md-12 text-center" style="padding: 10px 20px; border-top: 1px solid #3498db;">
        <a [routerLink]="['/message']" style="font-size: 10px;">
          Lihat semua
        </a>
      </div>
    </div>
  </ul>
</div>
